Bug 490453 - HPC not compatible with RHEL 5.3
HPC not compatible with RHEL 5.3
Status: CLOSED ERRATA
Product: Red Hat HPC Solution
Classification: Red Hat
Component: ocs (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: OCS Support
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 10:36 EDT by Issue Tracker
Modified: 2010-11-09 07:36 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-14 11:13:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2009-03-16 10:36:10 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2009-03-16 10:36:12 EDT
Description of problem:
The HPC installation guide at the following address:

http://www.redhat.com/docs/en-US/hpc/1.0/html/chap-Installation_Guide-Installation_Prerequisites.html

states the following;

--
Prior to installing Red Hat HPC, confirm that the designated machine has Red Hat Enterprise Linux 5.3
installed and meets the following requirements:
--

However substantial incompatibilities between HPC and RHEL 5.3 has been already reported in the following
bugzilla, and no solution is available so far, nor there is any mention of them in our documentation:

https://bugzilla.redhat.com/show_bug.cgi?id=485214

And my customer has a similar problem. After yum update, HPC kusu tools stop working. 
This is because the the update creates a new /opt/kusu/sbin/kusuenv.sh script which sets the SQL database
type to postgres (export KUSU_DB_ENGINE=postgres) 
 
Setting this back to mysql fixes most tools but boothost still does not work. It gives DB_Query_Error. 

How reproducible:
Always reproducible with an HPC installation.

Steps to Reproduce:
Run yum update to RHEL 5.3.

Actual results:
Boothost still does not work. It gives DB_Query_Error. 

Expected results:
Being able to update to rhel5.3 without any impact on the HPC functionality.
This event sent from IssueTracker by ahopkins  [SEG - Base OS]
 issue 276086
Comment 3 Albert Hopkins 2009-03-16 10:38:21 EDT
This issue is similar to bug #485214 but I am not certain that it is a dup.
Comment 7 errata-xmlrpc 2009-12-14 11:13:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1667.html

Note You need to log in before you can comment on or make changes to this bug.